<?xml version="1.0" encoding="UTF-8"?>
<testsuites>
  <testsuite name="" tests="7" assertions="13" errors="0" failures="1" skipped="0" time="0.531852">
    <testsuite name="Unit" tests="6" assertions="12" errors="0" failures="1" skipped="0" time="0.518209">
      <testsuite name="Tests\Unit\ExampleTest" file="C:\laragon\www\test\tests\Unit\ExampleTest.php" tests="1" assertions="1" errors="0" failures="0" skipped="0" time="0.153718">
        <testcase name="testBasicTest" class="Tests\Unit\ExampleTest" classname="Tests.Unit.ExampleTest" file="C:\laragon\www\test\tests\Unit\ExampleTest.php" line="15" assertions="1" time="0.153718"/>
      </testsuite>
      <testsuite name="Tests\Unit\UserTest" file="C:\laragon\www\test\tests\Unit\UserTest.php" tests="5" assertions="11" errors="0" failures="1" skipped="0" time="0.364491">
        <testcase name="testExample" class="Tests\Unit\UserTest" classname="Tests.Unit.UserTest" file="C:\laragon\www\test\tests\Unit\UserTest.php" line="17" assertions="1" time="0.013431"/>
        <testcase name="test_user_can_login_with_correct_credentials" class="Tests\Unit\UserTest" classname="Tests.Unit.UserTest" file="C:\laragon\www\test\tests\Unit\UserTest.php" line="23" assertions="5" time="0.164835"/>
        <testcase name="test_user_cannot_login_with_incorrect_password" class="Tests\Unit\UserTest" classname="Tests.Unit.UserTest" file="C:\laragon\www\test\tests\Unit\UserTest.php" line="34" assertions="1" time="0.099557"/>
        <testcase name="test_user_can_view_a_login_form" class="Tests\Unit\UserTest" classname="Tests.Unit.UserTest" file="C:\laragon\www\test\tests\Unit\UserTest.php" line="52" assertions="2" time="0.033776"/>
        <testcase name="test_user_can_register" class="Tests\Unit\UserTest" classname="Tests.Unit.UserTest" file="C:\laragon\www\test\tests\Unit\UserTest.php" line="59" assertions="2" time="0.052892">
          <failure type="PHPUnit\Framework\ExpectationFailedException">Tests\Unit\UserTest::test_user_can_register
Failed asserting that two strings are equal.
--- Expected
+++ Actual
@@ @@
-'http://localhost/home'
+'http://localhost'

C:\laragon\www\test\vendor\laravel\framework\src\Illuminate\Foundation\Testing\TestResponse.php:207
C:\laragon\www\test\vendor\laravel\framework\src\Illuminate\Foundation\Testing\TestResponse.php:152
C:\laragon\www\test\tests\Unit\UserTest.php:67
</failure>
        </testcase>
      </testsuite>
    </testsuite>
    <testsuite name="Feature" tests="1" assertions="1" errors="0" failures="0" skipped="0" time="0.013642">
      <testsuite name="Tests\Feature\ExampleTest" file="C:\laragon\www\test\tests\Feature\ExampleTest.php" tests="1" assertions="1" errors="0" failures="0" skipped="0" time="0.013642">
        <testcase name="testBasicTest" class="Tests\Feature\ExampleTest" classname="Tests.Feature.ExampleTest" file="C:\laragon\www\test\tests\Feature\ExampleTest.php" line="15" assertions="1" time="0.013642"/>
      </testsuite>
    </testsuite>
  </testsuite>
</testsuites>
